Retrieve a required document for a case
Use this endpoint to retrieve the details of a specific document requirement for a worker’s case. This includes the requirement’s status and information about any previously rejected documents
Token scopes: worker:read
Authentication
AuthorizationBearer
## Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
```curl
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
```
[Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
worker_id
The hris profile oid (public id) of the worker.
case_id
The unique identifier of the case for which the required document is being requested.
Response
Successful operation.
data
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error